#delimit;
clear; set more off; set type double;

log using $cod/1-run-simulations.log, replace;

*******************************
*** CODE TO RUN SIMULATIONS ***
*******************************;

*** UPDATE THE GLOBAL path TO THE CORRECT FILEPATH ON YOUR COMPUTER;

global path "~/.../data_and_codes";
global st  $path/raw_data;
global res $path/results;
global cod $path/code;

set seed 36122504;

*** RUN THE DO FILES FOR ALL STATES; 
*** THIS PRODUCES DATASETS FOR EACH STATE THAT WE USE FOR THE MAIN RESULTS TABLES IN 2-make-tables.do;

global statelist ma nc ny tx il fl;
global obs 1000;

foreach s in $statelist {;
 do $cod/`s'-simulate.do;
};

log close;
